signon 8.54

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- File List
- File Members

Namespaces | Macros | Variables
signondaemon.cpp File Reference
`#include <sys/socket.h>`
`#include <sys/stat.h>`
`#include <sys/types.h>`
`#include <QtDebug>`
`#include <QDir>`
`#include <QDBusConnection>`
`#include <QDBusMessage>`
`#include <QDBusMetaType>`
`#include <QPluginLoader>`
`#include <QProcessEnvironment>`
`#include <QSocketNotifier>`
`#include <QStandardPaths>`
`#include "SignOn/misc.h"`
`#include "signondaemon.h"`
`#include "signond-common.h"`
`#include "signontrace.h"`
`#include "signondaemonadaptor.h"`
`#include "signonidentity.h"`
`#include "signonauthsession.h"`
`#include "accesscontrolmanagerhelper.h"`
`#include "backupifadaptor.h"`
Include dependency graph for signondaemon.cpp:

Go to the source code of this file.

## Namespaces
| SignonDaemonNS

## Macros
#define | QT_DISABLE_DEPRECATED_BEFORE QT_VERSION_CHECK(4, 0, 0)
#define | SIGNON_RETURN_IF_CAM_UNAVAILABLE(_ret_arg_)
#define | BACKUP_DIR_NAME() (QDir::separator() + QLatin1String("backup"))

## Variables
const QString | SignonDaemonNS::internalServerErrName = SIGNOND_INTERNAL_SERVER_ERR_NAME
const QString | SignonDaemonNS::internalServerErrStr = SIGNOND_INTERNAL_SERVER_ERR_STR

## Macro Definition Documentation

#define BACKUP_DIR_NAME | ( |  | ) | (QDir::separator() + QLatin1String("backup"))

Definition at line 66 of file signondaemon.cpp.

#define QT_DISABLE_DEPRECATED_BEFORE QT_VERSION_CHECK(4, 0, 0)

Definition at line 31 of file signondaemon.cpp.

#define SIGNON_RETURN_IF_CAM_UNAVAILABLE | ( |  | _ret_arg_ | ) |

Value:
do { \
if (m_pCAMManager && !m_pCAMManager->credentialsSystemOpened()) { \
setLastError(internalServerErrName, \
internalServerErrStr + \
QLatin1String("Could not access Signon " \
"Database.")); \
return _ret_arg_; \
} \
} while(0)
SignonDaemonNS::internalServerErrName
const QString internalServerErrName
Definition: signondaemon.cpp:244
SignonDaemonNS::internalServerErrStr
const QString internalServerErrStr
Definition: signondaemon.cpp:245

Definition at line 56 of file signondaemon.cpp.

Referenced by SignonDaemonNS::SignonDaemon::clear(), SignonDaemonNS::SignonDaemon::getIdentity(), and SignonDaemonNS::SignonDaemon::queryIdentities().